============ Version 2.27.2

2009-07-23  Bastien Nocera  <hadess@hadess.net>

	* NEWS: upd
	* configure.in: 2.27.2

2009-07-23  Bastien Nocera  <hadess@hadess.net>

	* configure.in: Fix substitution in pkg-config file,
	spotted by Philip

2009-07-23  Bastien Nocera  <hadess@hadess.net>

	* README:
	* configure.in:
	* plparse/totem-pl-parser-podcast.c (totem_pl_parser_add_rss),
	(totem_pl_parser_add_itpc), (totem_pl_parser_add_zune),
	(totem_pl_parser_add_atom), (totem_pl_parser_add_xml_feed),
	(totem_pl_parser_add_itms), (totem_pl_parser_add_opml):
	* plparse/totem-pl-parser-podcast.h:
	* plparse/totem-pl-parser.c (totem_pl_parser_parse_date):
	* totem-plparser-uninstalled.pc.in:
	* totem-plparser.pc.in: Use GMime instead of libcamel
	for dates parsing. Hopefully good enough for people to
	stop shipping crippled versions of totem-pl-parser

2009-07-23  Bastien Nocera  <hadess@hadess.net>

	* plparse/tests/parser.c (test_data_get_data), (test_parsability):
	Add more debug when a parse error happens

2009-06-30  Bastien Nocera  <hadess@hadess.net>

	* plparse/totem-disc.c (cd_cache_local_file_to_archive):
	Fix mounting and detection of ISO mounts (they need double
	escaping, god knows...) (Closes: #583762)

2009-06-22  Philip Withnall  <philip@tecnocode.co.uk>

	* plparse/totem-pl-parser.c: Added examples of async parsing, and
	clarified in documentation that a main loop is now required for
	totem-pl-parser to operate properly.

2009-06-17  Philip Withnall  <philip@tecnocode.co.uk>

	* docs/reference/totem-pl-parser-sections.txt:
	* plparse/plparser.symbols:
	* plparse/totem-pl-parser-builtins.c
	(totem_pl_parser_result_get_type):
	* plparse/totem-pl-parser-lines.c (totem_pl_parser_add_ram),
	(totem_pl_parser_add_m3u), (totem_pl_parser_add_ra):
	* plparse/totem-pl-parser-lines.h:
	* plparse/totem-pl-parser-media.c (totem_pl_parser_add_iso),
	(totem_pl_parser_add_cue), (totem_pl_parser_add_directory),
	(totem_pl_parser_add_block):
	* plparse/totem-pl-parser-media.h:
	* plparse/totem-pl-parser-misc.c (totem_pl_parser_add_gvp),
	(totem_pl_parser_add_desktop):
	* plparse/totem-pl-parser-misc.h:
	* plparse/totem-pl-parser-pla.c (totem_pl_parser_add_pla):
	* plparse/totem-pl-parser-pla.h:
	* plparse/totem-pl-parser-pls.c
	(totem_pl_parser_add_pls_with_contents), (totem_pl_parser_add_pls):
	* plparse/totem-pl-parser-pls.h:
	* plparse/totem-pl-parser-podcast.c (totem_pl_parser_add_rss),
	(totem_pl_parser_add_itpc), (totem_pl_parser_add_zune),
	(totem_pl_parser_add_atom), (totem_pl_parser_add_xml_feed),
	(totem_pl_parser_add_itms), (totem_pl_parser_add_opml):
	* plparse/totem-pl-parser-podcast.h:
	* plparse/totem-pl-parser-private.h:
	* plparse/totem-pl-parser-qt.c
	(totem_pl_parser_add_quicktime_rtsptext),
	(totem_pl_parser_add_quicktime_metalink),
	(totem_pl_parser_add_quicktime):
	* plparse/totem-pl-parser-qt.h:
	* plparse/totem-pl-parser-smil.c (totem_pl_parser_add_smil):
	* plparse/totem-pl-parser-smil.h:
	* plparse/totem-pl-parser-wm.c
	(totem_pl_parser_add_asf_reference_parser),
	(totem_pl_parser_add_asf_parser), (parse_asx_entry),
	(parse_asx_entryref), (parse_asx_entries),
	(totem_pl_parser_add_asx), (totem_pl_parser_add_asf):
	* plparse/totem-pl-parser-wm.h:
	* plparse/totem-pl-parser-xspf.c (totem_pl_parser_add_xspf):
	* plparse/totem-pl-parser-xspf.h:
	* plparse/totem-pl-parser.c (totem_pl_parser_class_init),
	(emit_playlist_ended_signal), (totem_pl_parser_playlist_end),
	(totem_pl_parser_is_debugging_enabled), (totem_pl_parser_init),
	(totem_pl_parser_finalize), (emit_entry_parsed_signal),
	(totem_pl_parser_add_uri_valist),
	(totem_pl_parser_scheme_is_ignored),
	(totem_pl_parser_mimetype_is_ignored),
	(totem_pl_parser_parse_internal), (parse_async_data_free),
	(parse_thread), (totem_pl_parser_parse_with_base_async),
	(totem_pl_parser_parse_with_base), (totem_pl_parser_parse_async),
	(totem_pl_parser_parse_finish),
	(totem_pl_parser_add_ignored_scheme),
	(totem_pl_parser_add_ignored_mimetype):
	* plparse/totem-pl-parser.h: Add asynchronous playlist parsing
	functions, totem_pl_parser_parse_async, *_parse_with_base_async and
	totem_pl_parser_parse_finish. This includes making TotemPlParser
	threadsafe, and ensuring it emits all its signals in the main thread.
	It also includes refactoring of recursive parsing so that global
	options are copied and preserved throughout the parse operation,
	and can't be changed mid-operation from another thread.
	(Closes: #561444)

2009-05-31  Philip Withnall  <philip@tecnocode.co.uk>

        * docs/reference/Makefile.am: Add the builddir to gtkdoc-mkhtml's
        path so that builddir != srcdir builds work for the documentation.

============ Version 2.27.1

2009-05-06  Bastien Nocera  <hadess@hadess.net>

	* NEWS: upd
	* configure.in: 2.27.1

2009-05-04  Robert Ancell  <robert.ancell@gmail.com>

	* plparse/totem-pl-parser-lines.c:
	* plparse/totem-pl-parser-misc.c:
	* plparse/totem-pl-parser-pls.c:
	* plparse/totem-pl-parser-private.h:
	* plparse/totem-pl-parser-qt.c:
	* plparse/totem-pl-parser-wm.c:
	* plparse/totem-pl-parser.c:
	Handle all types of newline characters in playlists by splitting on both \n and \r
	
	(Closes: #579905)

2009-05-03  Bastien Nocera  <hadess@hadess.net>

	* lib/stub.c (___stub_so_lib_is_not_empty): Add a stub
	file to allow compiling on MacOS X (Closes: #578358)

2009-05-03  Bastien Nocera  <hadess@hadess.net>

	* plparse/totem-pl-parser-qt.c (totem_pl_parser_add_quicktime):
	Don't implement a fall-back when the top-level parsing code
	can already do that for us, and we might not want a fall-back.
	Fixes video/mp4 files played from YouTube showing up with
	"get_video" as the video name (Closes: #576338)

2009-04-29  Bastien Nocera  <hadess@hadess.net>

	* plparse/tests/parser.c (test_parsability): Add test cases for
	the recent itms parser fixes

2009-04-29  Bastien Nocera  <hadess@hadess.net>

	* plparse/totem-pl-parser-podcast.c (totem_pl_parser_is_itms_feed):
	Fix parsing for
	itms://ax.itunes.apple.com/WebObjects/MZStore.woa/wa/viewPodcast?id=271121520&ign-mscache=1

2009-04-29  Bastien Nocera  <hadess@hadess.net>

	* plparse/totem-pl-parser-podcast.c (totem_pl_parser_get_feed_uri),
	(totem_pl_parser_add_itms): Fix warning, and add debug code to
	itms parsing

2009-04-29  Bastien Nocera  <hadess@hadess.net>

	* plparse/totem-pl-parser-podcast.c (totem_pl_parser_add_itms):
	Fix memleak in _add_itms

2009-04-29  Bastien Nocera  <hadess@hadess.net>

	* plparse/totem-pl-parser-podcast.c (decompress_gzip):
	Fix parsing of
	http://phobos.apple.com/WebObjects/MZStore.woa/wa/viewPodcast?id=271121520
	when decompressing doesn't work, it might be because it's already
	uncompressed

2009-04-29  Bastien Nocera  <hadess@hadess.net>

	* plparse/totem-pl-parser-podcast.c (check_header),
	(decompress_gzip): Fix check_header, -1 isn't a value
	for an unsigned int...

2009-04-24  Bastien Nocera  <hadess@hadess.net>

        * plparse/totem-pl-parser.c (totem_pl_parser_parse_xml_relaxed):
        Implement XML parser helper which takes the XML encoding
        property into account to convert source contents

        * plparse/totem-pl-parser-podcast.c (totem_pl_parser_add_rss),
        (totem_pl_parser_add_atom), (totem_pl_parser_get_feed_uri),
        (totem_pl_parser_add_opml):
        * plparse/totem-pl-parser-private.h:
        * plparse/totem-pl-parser-qt.c
        (totem_pl_parser_add_quicktime_metalink):
        * plparse/totem-pl-parser-smil.c
        (totem_pl_parser_add_smil_with_data):
        * plparse/totem-pl-parser-wm.c (totem_pl_parser_add_asx):
        Use the XML parser helper

        (Closes: #579993)

2009-04-22  Bastien Nocera  <hadess@hadess.net>

	* configure.in: Update version to 2.27.0

2009-04-22  Bastien Nocera  <hadess@hadess.net>

	* plparse/plparser.symbols:
	* plparse/tests/parser.c:
	* plparse/totem-pl-parser-private.h:
	* plparse/totem-pl-parser-smil.c (parse_smil_entry):
	* plparse/totem-pl-parser-wm.c (parse_asx_entry),
	(parse_asx_entryref):
	* plparse/totem-pl-parser-xspf.c (parse_xspf_track):
	* plparse/totem-pl-parser.c (relative_uri_remove_query),
	(is_probably_dir), (totem_pl_parser_resolve_uri):
	Write our own horrible path resolution function
	And write a few test cases for it. (Closes: #577547)

2009-04-21  Bastien Nocera  <hadess@hadess.net>

	* docs/reference/totem-pl-parser-sections.txt:
	* plparse/totem-pl-parser.h: Remove deprecated macros

2009-04-05  Philip Withnall  <philip@tecnocode.co.uk>

	* docs/reference/Makefile.am: Only run the gtk-doc test suite if
	we're compiling with gtk-doc support enabled. (Closes: #577774)

2009-03-24  Bastien Nocera  <hadess@hadess.net>

	* plparse/totem-disc.c (cd_cache_new): Fix detection of ISO
	images as potential DVDs or VCDs

2009-03-23  Bastien Nocera  <hadess@hadess.net>

	* plparse/totem-pl-parser-media.c (totem_pl_parser_load_directory),
	(totem_pl_parser_add_directory): When a URI is detected as a
	directory, return an "unhandled" error instead of an error if
	the backend doesn't support reading directories. Fixes parsing
	of radio streams (Closes: #576410)

2009-03-23  Bastien Nocera  <hadess@hadess.net>

	* plparse/xmlparser.c: Increase the token and data sizes
	again in the xml parser, so it can parse ABC's podcast:
	http://www.abc.net.au/rn/podcast/feeds/spirit.xml
	(Closes: #552025)

2009-03-16  Philip Withnall  <philip@tecnocode.co.uk>

	Update svn:ignore properties.

2009-03-16  Philip Withnall  <philip@tecnocode.co.uk>

	* Makefile.decl:
	* configure.in:
	* plparse/Makefile.am:
	* plparse/disc-test.c:
	* plparse/test-parser.c:
	* plparse/tests/541405.xml:
	* plparse/tests/560051.xml:
	* plparse/tests/Makefile.am:
	* plparse/tests/disc.c:
	* plparse/tests/parser.c: Convert totem-pl-parser to use the GTest
	API for its test suite. The test suite has also been improved a
	little, and is consequently more automated. Feature parity with the
	old code for manually testing discs is maintained. (Closes: #508346)

============ Version 2.26.0

2009-03-16  Bastien Nocera  <hadess@hadess.net>

	* NEWS: upd
	* configure.in: 2.26.0

============ Version 2.25.92

2009-03-03  Bastien Nocera  <hadess@hadess.net>

	* NEWS: upd
	* configure.in: 2.25.92

============ Version 2.25.91

2009-02-17  Bastien Nocera  <hadess@hadess.net>

	* NEWS: upd
	* configure.in: 2.25.91
	* docs/reference/Makefile.am: fix running make distcheck

2009-02-17  Bastien Nocera  <hadess@hadess.net>

	* plparse/totem-pl-parser-pls.c (ensure_utf8_valid),
	(totem_pl_parser_add_pls_with_contents): Patch from
	Ivan Frade <ivan.frade@nokia.com> to avoid crashing
	when a PLS file contains non-UTF-8 characters
	(Closes: #568736)

2009-02-10  Bastien Nocera  <hadess@hadess.net>

	* plparse/totem-pl-parser-podcast.c
	(totem_pl_parser_parse_itms_doc): Fix possible crasher
	when looking for the feedURL in itms files (Closes: #570997)

2009-02-08  Jonathan Matthew  <jonathan@d14n.org>

	* plparse/totem-pl-parser-pla.c: (totem_pl_parser_write_pla),
	(totem_pl_parser_add_pla):
	The first 16 bits of the playlist entry record are actually the
	one-based offset of the first character of the filename.  Set this
	correctly (rather than always to 0x1A) so the playlists look right
	when viewed on the device.  (Closes: #570484)

	Also update my email address and fix a couple of debug output
	statements.

2009-02-07  Philip Withnall  <philip@tecnocode.co.uk>

	* configure.in:
	* docs/reference/Makefile.am:
	* docs/reference/totem-pl-parser-docs.sgml:
	* docs/reference/totem-pl-parser-docs.xml:
	* docs/reference/totem-pl-parser-sections.txt:
	* plparse/totem-disc.c:
	* plparse/totem-pl-parser.c:
	* plparse/totem-pl-parser.h: Tidy up the documentation a bit, taking
	advantage of recent gtk-doc features, and also adding missing "since"
	and "deprecated" tags to a few symbols. gtkdoc-check will now run on
	`make check`.

============ Version 2.25.90

2009-02-03  Bastien Nocera  <hadess@hadess.net>

	* NEWS: upd
	* configure.in: 2.25.90

2009-01-13  Bastien Nocera  <hadess@hadess.net>

	* plparse/totem-pl-parser-smil.c (parse_smil_entry):
	* plparse/totem-pl-parser.c: Patch from Sandor Pinter
	to add support for WPL playlists (Closes: #567142)

2009-01-07  Bastien Nocera  <hadess@hadess.net>

	* plparse/totem-pl-parser-lines.c (totem_pl_parser_add_m3u):
	Fix parsing of ISO-8859-1 M3U files (Closes: #553598)

2009-01-05  Bastien Nocera  <hadess@hadess.net>

	* plparse/totem-pl-parser.c (totem_pl_parser_parse_internal):
	Also ignore RTMP:// URIs

2009-01-03  Pascal Terjan <pterjan@linuxfr.org>

	* plparse/totem-pl-parser-xspf.c: Fix memory leaks in 
	parse_xspf_track (Closes: #566446)

2008-12-19  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* plparse/plparser.symbols: Bug 556719 – totem binding does not work.

============ Version 2.25.1

2008-12-08  Bastien Nocera  <hadess@hadess.net>

	* NEWS: upd
	* configure.in: 2.25.1

2008-12-05  Philip Withnall  <philip@tecnocode.co.uk>

	* docs/reference/totem-pl-parser-sections.txt:
	* plparse/disc-test.c (main):
	* plparse/test-parser.c (test_relative_real),
	(entry_metadata_foreach), (test_parsing_real),
	(test_data_get_data), (main):
	* plparse/totem-disc.c (totem_cd_detect_type_from_dir),
	(totem_cd_detect_type_with_url):
	* plparse/totem-disc.h:
	* plparse/totem-pl-parser-lines.c (totem_pl_parser_uri_to_dos),
	(totem_pl_parser_write_m3u), (totem_pl_parser_parse_ram_uri),
	(totem_pl_parser_add_ram), (totem_pl_parser_add_m3u):
	* plparse/totem-pl-parser-media.c (totem_pl_parser_add_iso),
	(totem_pl_parser_add_cue), (totem_pl_parser_add_directory),
	(totem_pl_parser_add_block):
	* plparse/totem-pl-parser-misc.c (totem_pl_parser_add_gvp):
	* plparse/totem-pl-parser-pla.c (totem_pl_parser_add_pla):
	* plparse/totem-pl-parser-pls.c (totem_pl_parser_write_pls),
	(totem_pl_parser_add_pls_with_contents):
	* plparse/totem-pl-parser-podcast.c (parse_rss_item),
	(parse_rss_items), (totem_pl_parser_add_rss),
	(totem_pl_parser_add_itpc), (totem_pl_parser_add_zune),
	(parse_atom_entry), (parse_atom_entries),
	(totem_pl_parser_add_atom), (totem_pl_parser_get_feed_uri),
	(totem_pl_parser_get_itms_uri), (totem_pl_parser_add_itms),
	(totem_pl_parser_is_itms_feed), (parse_opml_outline),
	(parse_opml_head_body), (totem_pl_parser_add_opml):
	* plparse/totem-pl-parser-private.h:
	* plparse/totem-pl-parser-qt.c
	(totem_pl_parser_add_quicktime_rtsptext),
	(totem_pl_parser_add_quicktime_metalink),
	(totem_pl_parser_add_quicktime):
	* plparse/totem-pl-parser-smil.c (parse_smil_entry):
	* plparse/totem-pl-parser-wm.c
	(totem_pl_parser_add_asf_reference_parser),
	(totem_pl_parser_add_asf_parser), (parse_asx_entry),
	(parse_asx_entryref), (parse_asx_entries),
	(totem_pl_parser_add_asx):
	* plparse/totem-pl-parser-xspf.c (totem_pl_parser_write_xspf),
	(parse_xspf_track):
	* plparse/totem-pl-parser.c (totem_pl_parser_class_init),
	(my_g_file_info_get_mime_type_with_data),
	(totem_pl_parser_base_uri), (totem_pl_parser_num_entries),
	(totem_pl_parser_add_uri_valist), (totem_pl_parser_add_uri),
	(totem_pl_parser_add_one_uri), (totem_pl_parser_add_one_file),
	(totem_pl_parser_scheme_is_ignored), (totem_pl_parser_ignore),
	(totem_pl_parser_parse_internal),
	(totem_pl_parser_parse_with_base), (totem_pl_parser_parse):
	* plparse/totem-pl-parser.h: Cleanup usage of URL/URI/MRL in the
	playlist parser. Note that this doesn't break API. (Closes: #536107)

2008-12-05  Bastien Nocera  <hadess@hadess.net>

	* plparse/totem-disc.c (cd_cache_get_dev_from_volumes),
	(cd_cache_has_content_type), (cd_cache_disc_is_cdda):
	Make detecting the type of devices not connected 1-to-1
	to a drive work again, as it did in 2.24

2008-12-01  Bastien Nocera  <hadess@hadess.net>

	* plparse/totem-pl-parser-builtins.c
	(totem_pl_parser_error_get_type):
	* plparse/totem-pl-parser.c:
	* plparse/totem-pl-parser.h: Remove unused
	TOTEM_PL_PARSER_ERROR_VFS_[OPEN|WRITE] enums,
	spotted by Christian Persch <chpe@gnome.org> (Closes: #560497)
	Fix warnings wrt totem_pl_parser_error_get_type

2008-11-28  Philip Withnall  <philip@tecnocode.co.uk>

	* plparse/Makefile.am:
	* plparse/totem-disc.c:
	* plparse/totem-pl-parser-builtins.c
	(totem_pl_parser_error_get_type): Fix build errors introduced in
	previous commit. (Closes: #562571)

2008-11-27  Philip Withnall  <philip@tecnocode.co.uk>

	* plparse/totem-disc.c (cd_cache_new), (cd_cache_open_device),
	(cd_cache_open_mountpoint):
	* plparse/totem-pl-parser.c:
	* plparse/totem-pl-parser.h: Expand API documentation re. error codes;
	fix g_set_error calls with 0 domain/code; and mention functions which
	do sync I/O. (Closes: #560495, #560493, #560491)

2008-11-13  Bastien Nocera  <hadess@hadess.net>

	* plparse/totem-pl-parser.c
	(my_g_file_info_get_mime_type_with_data),
	(totem_pl_parser_cleanup_xml): Fix _cleanup_xml to
	actually clean the comment closing bits ('-->')
	(Closes: #560051)

2008-11-10  Cosimo Cecchi  <cosimoc@gnome.org>

	* plparse/totem-pl-parser.h: use single GTK+ includes.

2008-11-09  Kjartan Maraas  <kmaraas@gnome.org>

	* plparse/totem-pl-parser-podcast.c: (totem_pl_parser_add_atom):
	Fix reversed logic so this builds for people who have libcamel.

2008-11-05  Bastien Nocera  <hadess@hadess.net>

	* configure.in:
	* plparse/totem-pl-parser-podcast.c (totem_pl_parser_add_rss),
	(totem_pl_parser_add_itpc), (totem_pl_parser_add_zune),
	(totem_pl_parser_add_atom), (totem_pl_parser_add_xml_feed),
	(totem_pl_parser_add_itms), (totem_pl_parser_add_opml):
	* plparse/totem-pl-parser-podcast.h:
	* plparse/totem-pl-parser.c (totem_pl_parser_parse_date):
	* totem-plparser.pc.in: Adapt patch from Ivan Frade
	<ivan.frade@nokia.com> to make libcamel optional for some
	"embedded" platforms. This is absolutely unsupported and
	any general purpose distribution shipping with libcamel
	disabled will be kicked in the knackers
	forcefully (Closes: #522639)

2008-11-05  Bastien Nocera  <hadess@hadess.net>

	* README: update README with accurate deps

2008-10-21  Bastien Nocera  <hadess@hadess.net>

	* plparse/totem-pl-parser.c (totem_pl_parser_parse_internal):
	Fix M3U file parsing, the content-type detection is unreliable
	so ignore it if it doesn't bring us anything new
	(Closes: #556060)

2008-10-09  Bastien Nocera  <hadess@hadess.net>

	* autogen.sh: Add --enable-gtk-doc to the default configure line

2008-10-07  Bastien Nocera  <hadess@hadess.net>

	* plparse/totem-pl-parser.c (totem_pl_parser_parse_internal),
	(totem_pl_parser_add_ignored_scheme): Fix scheme ignore function
	we used to expect schemes in the form "cdda:" and now we expect
	"cdda" (Closes: #554875)

2008-09-29  Bastien Nocera  <hadess@hadess.net>

	* configure.in: Require glib 2.17.5 for
	g_mount_guess_content_type_sync (Closes: #552610)

2008-09-27  Bastien Nocera  <hadess@hadess.net>

	* plparse/totem-pl-parser.c (totem_pl_parser_parse_internal):
	Fix possible warning

008-09-27  Bastien Nocera  <hadess@hadess.net>

	* plparse/totem-pl-parser-lines.c (totem_pl_parser_add_m3u):
	Fix parsing of DOS M3U files where the last line finishes with
	a carriage return but no line feed (Closes: #553130)

2008-09-10  Bastien Nocera  <hadess@hadess.net>

	* plparse/totem-disc.c (cd_cache_get_best_mount_for_drive),
	(cd_cache_get_dev_from_volumes), (cd_cache_has_medium):
	Fix possible crasher in cd_cache_has_medium(),
	Handle GDrives having multiples GVolumes when looking for the
	volume matching a unix device, fixes detection of mixed CDs as
	audio CDs (Closes: #550988)

2008-09-10  Bastien Nocera  <hadess@hadess.net>

	* plparse/test-parser.c (test_date): Remove test from
	http://www.rtve.es/podcast/SSATEL.xml it is too broken indeed

2008-09-10  Bastien Nocera  <hadess@hadess.net>

	* plparse/totem-pl-parser-lines.c (totem_pl_parser_write_m3u):
	* plparse/totem-pl-parser-pla.c (totem_pl_parser_write_pla):
	* plparse/totem-pl-parser-pls.c (totem_pl_parser_write_pls):
	* plparse/totem-pl-parser-xspf.c (totem_pl_parser_write_xspf):
	Always write the #EXTM3U line at the start of M3U playlists,
	Spotted by D. Grady <fehknt@gmail.com> (Closes: #551610)
	Don't unref streams that totem_pl_parser_write_* will unref
	on error, and make sure the streams are unref'ed and not just closed

2008-09-09  Bastien Nocera  <hadess@hadess.net>

	* plparse/test-parser.c (test_date): Add broken date test from
	http://www.rtve.es/podcast/SSATEL.xml

2008-08-30  Bastien Nocera  <hadess@hadess.net>

	* configure.in: Remove hal dependency

	* plparse/totem-disc.c (cd_cache_has_content_type), (cd_cache_new),
	(cd_cache_free), (cd_cache_disc_is_cdda), (cd_cache_disc_is_vcd),
	(cd_cache_disc_is_dvd): Use g_mount_guess_content_type() and
	g_content_type_guess_for_tree() to detect disc types, removing
	a lot of D-Bus code (Closes: #543865)

============ Version 2.23.91

2008-08-29  Bastien Nocera  <hadess@hadess.net>

	* configure.in: 2.23.91
	* NEWS: upd

2008-08-27  Bastien Nocera  <hadess@hadess.net>

	* plparse/totem-pl-parser-podcast.c (totem_pl_parser_add_itpc),
	(totem_pl_parser_add_zune):
	* plparse/totem-pl-parser-podcast.h:
	* plparse/totem-pl-parser.c (totem_pl_parser_parse_internal):
	Add support for zune:// and zcast:// URLs (Closes: #549032)

2008-08-27  Bastien Nocera  <hadess@hadess.net>

	* configure.in:
	* lib/Makefile.am:
	* lib/memmem.c:
	* lib/totem_internal.h:
	* plparse/totem-pl-parser-podcast.c (totem_pl_parser_is_rss),
	(totem_pl_parser_is_atom), (totem_pl_parser_is_opml):
	* plparse/totem-pl-parser-qt.c (totem_pl_parser_is_quicktime):
	* plparse/totem-pl-parser-wm.c (totem_pl_parser_is_asx):
	Remove internal copy, and use of, memmem, use glib's g_strstr_len()
	instead (Closes: #548612)

2008-08-25  Bastien Nocera  <hadess@hadess.net>

	* plparse/totem-pl-parser.c: Also parse video/mp4 files as possible
	QuickTime metalinks, as used on http://www.sporza.be
	(Closes: #549186)

2008-06-29  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* plparse/totem-pl-parser.c (totem_pl_parser_metadata_get_type),
	* plparse/totem-pl-parser.h: Define a new
	TOTEM_TYPE_PL_PARSER_METADATA, identical to G_TYPE_HASH_TABLE; Use
	it instead of G_TYPE_HASH_TABLE so that Python bindings can safely
	convert metadata signal parameters.  Closes #536060.

2008-08-20  Christian Persch  <chpe@gnome.org>

	* plparse/Makefile.am: Don't export the marshalers. Bug #536473.

2008-08-20  Bastien Nocera  <hadess@hadess.net>

	* plparse/test-parser.c (test_data_get_data):
	* plparse/totem-pl-parser.c
	(my_g_file_info_get_mime_type_with_data),
	(totem_pl_parser_write_buffer): Really free the resources
	used by the streams by unref'ing them

2008-08-18  Bastien Nocera  <hadess@hadess.net>

	* plparse/totem-pl-parser-pls.c (totem_pl_parser_write_pls):
	Fix a crasher writing PLS files (wrong argument)
	* plparse/totem-pl-parser.c (totem_pl_parser_class_init):
	Fix parsing PLS files, missing object property

2008-08-14  Bastien Nocera  <hadess@hadess.net>

	* plparse/totem-pl-parser.c (totem_pl_parser_cleanup_xml),
	(totem_pl_parser_parse_internal),
	(totem_pl_parser_mime_type_from_data): When we get an XML file,
	try to use our own indentification functions as well, to double-check
	whether we have a podcast or not
	* plparse/totem-pl-parser-private.h:
	Add totem_pl_parser_cleanup_xml() to remove HTML comments without
	spaces before the closing statement

	* plparse/totem-pl-parser-podcast.c (totem_pl_parser_add_rss):
	Use totem_pl_parser_cleanup_xml(), fixes parsing of podcasts at
	http://www.chyz.qc.ca/ (Closes: #541405)

	* plparse/totem-pl-parser-xspf.c (totem_pl_parser_write_xspf),
	(parse_xspf_track): Fix some warnings

2008-07-17  Wouter Bolsterlee  <wbolster@svn.gnome.org>

	* docs/reference/totem-pl-parser-docs.sgml:

	Use friendly name as documentation title (shows up in
	the contents pane of DevHelp)

============ Version 2.23.3

2008-07-14  Bastien Nocera  <hadess@hadess.net>

	* NEWS: upd
	* configure.in: 2.23.3

2008-07-03  Bastien Nocera  <hadess@hadess.net>

	* plparse/totem-pl-parser.c
	(my_g_file_info_get_mime_type_with_data): Fix the commit below
	and use g_stat directly

2008-07-03  Wouter Bolsterlee  <wbolster@svn.gnome.org>

	* plparse/totem-pl-parser.c:
	Include sys/stat.h to fix the build.

2008-06-27  Bastien Nocera  <hadess@hadess.net>

	* plparse/totem-disc.c (cd_cache_new), (cd_cache_open_mountpoint):
	When propagating errors, don't free the original error, spotted in
	https://bugzilla.redhat.com/show_bug.cgi?id=453020#c3

============ Version 2.23.2

2008-06-11  Bastien Nocera  <hadess@hadess.net>

	* NEWS: upd
	* configure.in: 2.23.2
	* plparse/totem-pl-parser-xspf.c (totem_pl_parser_write_xspf):
	Fix warning

2008-06-10  Christian Persch  <chpe@gnome.org>

	* plparse/totem-pl-parser.c: (totem_pl_parser_class_init),
	(totem_pl_parser_add_url_valist):
	* plparse/totemplparser-marshal.list: Use G_TYPE_HASH_TABLE in the
	signals to transport the hash table, and use g_hash_table_unref
	instead of g_hash_table_destroy so that the signal handler may
	usefully keep a reference to the hash table. Patch from bug #536060.

2008-06-03  Christian Persch  <chpe@gnome.org>

	* plparse/totemplparser-marshal.c:
	* plparse/totemplparser-marshal.h: Don't put autogenerated files in
	svn. Bug #536060 comment 2 & 3.

2008-05-25  Bastien Nocera  <hadess@hadess.net>

	* plparse/totem-disc.c (cd_cache_new_hal_ctx): Call
	dbus_connection_set_exit_on_disconnect() with FALSE, so we don't
	exit if the session message bus is going away under us, spotted
	by Matthias Clasen <mclasen@redhat.com> (Closes: #528780)

2008-05-24  Bastien Nocera  <hadess@hadess.net>

	* plparse/totem-pl-parser.c (totem_pl_parser_parse_internal):
	When a file is local (native), and looks like a text file,
	get its mime-type from data, so as to avoid not reading
	through ASP, and PHP files that Firefox/Epiphany would give us
	(Closes: #524144)

2008-05-24  Bastien Nocera  <hadess@hadess.net>

	* plparse/totem-pl-parser-private.h:
	* plparse/totem-pl-parser-smil.c (parse_smil_entry):
	* plparse/totem-pl-parser-wm.c (parse_asx_entry),
	(parse_asx_entryref):
	* plparse/totem-pl-parser-xspf.c (parse_xspf_track):
	Don't try to resolve absolute URIs

	* plparse/totem-pl-parser.c
	(my_g_file_info_get_mime_type_with_data),
	(totem_pl_parser_parse_internal): Revert code for the
	block device detection, the GIO code wasn't working as expected (there
	doesn't seem to be a way to detect whether a file is a block device
	using GIO)
	Also make sure we pass a base_file to parsing function, based on the
	URL to parse, if we weren't provided one

	* plparse/totem-pl-parser-podcast.c (totem_pl_parser_is_itms_feed):
	Fix bad detection of the itms URI scheme

2008-05-24  Bastien Nocera  <hadess@hadess.net>

	* plparse/totem-pl-parser.c (totem_pl_parser_parse_internal):
	When we have a base-file, use the file itself as the base
	for resolving relative paths, fixes parsing of
	http://localhost:12345/playlist.asx in the test suite

2008-05-24  Bastien Nocera  <hadess@hadess.net>

	* plparse/totem-pl-parser.c (totem_pl_parser_parse_internal):
	Also ignore pnm:// URLs

2008-05-21  Bastien Nocera  <hadess@hadess.net>

	* configure.in:
	* plparse/totem-pl-parser.c:
	* totem-plparser-mini-uninstalled.pc.in:
	* totem-plparser-mini.pc.in:
	* totem-plparser-uninstalled.pc.in:
	* totem-plparser.pc.in: Patch from  Saleem Abdulrasool
	<compnerd@compnerd.org> to remove the last bits of gnome-vfs
	from here (Closes: #534128)

============ Version 2.23.1

2008-05-09  Bastien Nocera  <hadess@hadess.net>

	* NEWS: upd
	* configure.in: 2.23.1

2008-05-09  Bastien Nocera  <hadess@hadess.net>

	* plparse/totem-pl-parser-podcast.c (totem_pl_parser_is_rss):
	Re-add detection of linefeeds after "<rss" otherwise the spanish
	lesson feed doesn't work anymore

2008-05-08  Bastien Nocera  <hadess@hadess.net>

	* plparse/totem-pl-parser-podcast.c (totem_pl_parser_add_rss):
	Remove debug

	* plparse/totem-pl-parser-smil.c (parse_smil_entry):
	* plparse/totem-pl-parser-xspf.c (parse_xspf_track):
	* plparse/totem-pl-parser-wm.c (parse_asx_entry),
	(parse_asx_entryref): Fix use of g_file_resolve_relative_path
	when there's no base_file

	* plparse/totem-pl-parser.c
	(my_g_file_info_get_mime_type_with_data),
	(totem_pl_parser_add_url_valist),
	(totem_pl_parser_ignore_from_mimetype):
	Only unref the info we get from the file if there's actually info
	(ie. don't warn on non-existant files)

	Don't unref file and base_file in _add_url_valist, as those
	aren't ref'ed for us

	Don't ignore files for which we can't get a mime-type

	Fixes warning running the test-parser test-suite

2008-05-08  Bastien Nocera  <hadess@hadess.net>

	* plparse/totem-pl-parser-pls.c
	(totem_pl_parser_add_pls_with_contents):
	Fix usage of totem_pl_parser_base_url(), and remove last use
	of gnome-vfs

	* configure.in: Remove gnome-vfs dependency (Closes: #512581)

	Still a lot of bugs, but we're starting again

2008-05-08  Bastien Nocera  <hadess@hadess.net>

	* plparse/totem-pl-parser-pla.c (totem_pl_parser_add_pla):
	Remove unneeded include, fix warning

	* plparse/totem-pl-parser-private.h:
	* plparse/totem-pl-parser.c (totem_pl_parser_relative),
	(totem_pl_parser_ignore_from_mimetype):
	Update totem_pl_parser_relative() to take in a GFile as the output
	target, and simplify
	Remove old code in totem_pl_parser_ignore_from_mimetype()

	* plparse/test-parser.c (test_relative_real):
	Fix usage of totem_pl_parser_relative()

	* plparse/totem-pl-parser-lines.c (totem_pl_parser_url_to_dos),
	(totem_pl_parser_write_m3u):
	* plparse/totem-pl-parser-pls.c (totem_pl_parser_write_pls):
	* plparse/totem-pl-parser-xspf.c (totem_pl_parser_write_xspf):
	Use totem_pl_parser_relative() where needed, and fix usage

2008-05-07  Bastien Nocera  <hadess@hadess.net>

	* plparse/plparser.symbols: Fix build

2008-05-07  Bastien Nocera  <hadess@hadess.net>

	* plparse/plparser.symbols:
	* plparse/test-parser.c (main):
	* plparse/totem-pl-parser-lines.c (totem_pl_parser_url_to_dos),
	(totem_pl_parser_write_m3u), (totem_pl_parser_add_m3u):
	* plparse/totem-pl-parser-lines.h:
	* plparse/totem-pl-parser-pla.c (totem_pl_parser_write_pla),
	(totem_pl_parser_add_pla):
	* plparse/totem-pl-parser-pla.h:
	* plparse/totem-pl-parser-pls.c (totem_pl_parser_write_pls),
	(totem_pl_parser_add_pls_with_contents), (totem_pl_parser_add_pls):
	* plparse/totem-pl-parser-pls.h:
	* plparse/totem-pl-parser-podcast.c (totem_pl_parser_is_itms_feed):
	* plparse/totem-pl-parser-private.h:
	* plparse/totem-pl-parser-smil.c (parse_smil_entry),
	(parse_smil_entries), (totem_pl_parser_add_smil_with_doc):
	* plparse/totem-pl-parser-wm.c (parse_asx_entry),
	(parse_asx_entryref), (parse_asx_entries),
	(totem_pl_parser_add_asx):
	* plparse/totem-pl-parser-xspf.c (totem_pl_parser_parse_xml_file),
	(totem_pl_parser_write_xspf), (parse_xspf_track),
	(parse_xspf_trackList), (parse_xspf_entries),
	(totem_pl_parser_add_xspf):
	* plparse/totem-pl-parser-xspf.h:
	* plparse/totem-pl-parser.c (totem_pl_parser_write_with_title),
	(totem_pl_parser_add_url_valist):
	* plparse/totem-pl-parser.h: Port playlist writers to GIO, removed
	totem_pl_parser_resolve_url and totem_pl_parser_relative, as those
	should be replaced by their GIO equivalents, and had completely broken
	semantics

	Doesn't compile, file a bug and I'll kick your arse

2008-05-07  Bastien Nocera  <hadess@hadess.net>

	* plparse/totem-pl-parser-misc.c (totem_pl_parser_add_gvp),
	(totem_pl_parser_add_desktop): Port the left-over parsers to GIO

2008-05-07  Bastien Nocera  <hadess@hadess.net>

	* plparse/totem-pl-parser-wm.c
	(totem_pl_parser_add_asf_reference_parser),
	(totem_pl_parser_add_asf_parser), (parse_asx_entry),
	(parse_asx_entryref), (totem_pl_parser_add_asx),
	(totem_pl_parser_add_asf): Port the Windows Media playlist format
	parsers to GIO

2008-05-07  Bastien Nocera  <hadess@hadess.net>

	* plparse/totem-pl-parser-qt.c
	(totem_pl_parser_add_quicktime_rtsptext),
	(totem_pl_parser_add_quicktime_metalink),
	(totem_pl_parser_add_quicktime): Port the Quicktime parsers to GIO

2008-05-07  Bastien Nocera  <hadess@hadess.net>

	* plparse/totem-pl-parser-podcast.c: Remove unused includes

2008-05-07  Bastien Nocera  <hadess@hadess.net>

	* plparse/totem-pl-parser-media.c: Remove unused gnome-vfs include
	* plparse/totem-pl-parser-podcast.c (totem_pl_parser_add_rss),
	(totem_pl_parser_add_itpc), (totem_pl_parser_add_atom),
	(totem_pl_parser_get_feed_url), (totem_pl_parser_add_itms),
	(totem_pl_parser_add_opml): Port Podcast parsing to GIO

2008-05-06  Bastien Nocera  <hadess@hadess.net>

	* plparse/xmllexer.c (lexer_get_token): Update from xine-lib 1.2
	branch, fixes trailing linefeeds in element names (Closes: #531676)
	* plparse/totem-pl-parser-podcast.c (totem_pl_parser_is_rss):
	Remove work-around for bug #522968

2008-05-04  Bastien Nocera  <hadess@hadess.net>

	* plparse/totem-pl-parser.c (totem_pl_parser_mime_type_from_data):
	Also force application/octet-stream mime-types through our home-made
	detection, fixes problems parsing a DOS text file at
	http://www.la-bas.org/podcast.php3 (Closes: #531289)

2008-04-30  Bastien Nocera  <hadess@hadess.net>

	* plparse/totem-pl-parser.c (totem_pl_parser_add_url_valist):
	Remove trailing spaces from titles, to avoid new lines creeping up in
	UIs such as Rhythmbox' podcast list (Closes: #527854)

2008-04-24  Bastien Nocera  <hadess@hadess.net>

	* plparse/bswap.h:
	* plparse/disc-test.c:
	* plparse/totem-disc.c:
	* plparse/totem-disc.h:
	* plparse/totem-pl-parser-features.h.in:
	* plparse/totem-pl-parser-lines.c:
	* plparse/totem-pl-parser-lines.h:
	* plparse/totem-pl-parser-media.c:
	* plparse/totem-pl-parser-media.h:
	* plparse/totem-pl-parser-mini.h:
	* plparse/totem-pl-parser-misc.c:
	* plparse/totem-pl-parser-misc.h:
	* plparse/totem-pl-parser-pla.c:
	* plparse/totem-pl-parser-pla.h:
	* plparse/totem-pl-parser-pls.c:
	* plparse/totem-pl-parser-pls.h:
	* plparse/totem-pl-parser-podcast.c:
	* plparse/totem-pl-parser-podcast.h:
	* plparse/totem-pl-parser-private.h:
	* plparse/totem-pl-parser-qt.c:
	* plparse/totem-pl-parser-qt.h:
	* plparse/totem-pl-parser-smil.c:
	* plparse/totem-pl-parser-smil.h:
	* plparse/totem-pl-parser-wm.c:
	* plparse/totem-pl-parser-wm.h:
	* plparse/totem-pl-parser-xspf.c:
	* plparse/totem-pl-parser-xspf.h:
	* plparse/totem-pl-parser.c:
	* plparse/totem-pl-parser.h: Update FSF address

2008-04-08  Bastien Nocera  <hadess@hadess.net>

	* plparse/totem-pl-parser.c (totem_pl_parser_mime_type_from_data):
	When getting a text/plain mime-type to look at further, return
	NULL if we fail to get a real mime-type, otherwise the file
	will be added during fallback (Closes: #524475)

2008-04-07  Bastien Nocera  <hadess@hadess.net>

	* plparse/totem-pl-parser-media.c (totem_pl_parser_iso_get_title),
	(totem_pl_parser_add_iso), (totem_pl_parser_add_cue),
	(totem_pl_parser_dir_compare), (totem_pl_parser_load_directory),
	(totem_pl_parser_add_directory), (totem_pl_parser_add_block):
	Finish porting to GIO (Closes: #520912)

	* plparse/totem-pl-parser-private.h:
	* plparse/totem-pl-parser.c (totem_pl_parser_might_be_file),
	(totem_pl_parser_ignore), (totem_pl_parser_parse_internal):
	Remove use of GNOME_VFS_MIME_TYPE_UNKNOWN

2008-04-07  Bastien Nocera  <hadess@hadess.net>

	* plparse/totem-disc.c (cd_cache_local_file_to_archive),
	(cd_cache_mount_archive_callback), (cd_cache_new),
	(cd_cache_mount_callback), (cd_cache_open_mountpoint),
	(cd_cache_unmount_callback), (cd_cache_free),
	(cd_cache_disc_is_dvd), (totem_cd_detect_type_from_dir),
	(totem_cd_detect_type_with_url): Add support for detecting
	DVD ISOs, as well as remote DVDs trees, and remote DVD ISOs

2008-04-04  Bastien Nocera  <hadess@hadess.net>

	* configure.in: Add missing gio linkage for the mini
	pl-parser

2008-04-04  Bastien Nocera  <hadess@hadess.net>

	* plparse/totem-disc.c (totem_cd_detect_type_with_url):
	Give out gvfs compatible CDDA URLs instead of gnome-vfs
	style ones

2008-04-03  Bastien Nocera  <hadess@hadess.net>

	* plparse/totem-disc.c (cd_cache_new): Better
	error message

2008-04-03  Bastien Nocera  <hadess@hadess.net>

	* plparse/disc-test.c (main): Fix some memleaks

	* plparse/totem-disc.c (totem_resolve_symlink),
	(cd_cache_get_dev_from_volumes), (cd_cache_new),
	(cd_cache_has_medium), (cd_cache_mount_callback),
	(cd_cache_open_mountpoint), (cd_cache_free),
	(cd_cache_disc_is_cdda), (totem_cd_dir_get_parent):
	Port to GIO

2008-04-03  Bastien Nocera  <hadess@hadess.net>

	* plparse/disc-test.c (main): Port to GIO

2008-03-22  Marc-Andre Lureau  <marcandre.lureau@gmail.com>

	* plparse/totem-pl-parser.c (totem_pl_parser_parse_internal):
	Build fix, typo in DEBUG macro.  (Closes: #523280)

2008-03-17  Bastien Nocera  <hadess@hadess.net>

	* plparse/totem-pl-parser-podcast.c (totem_pl_parser_is_rss),
	(totem_pl_parser_add_rss): Handle feeds with "<rss\n" as the
	document name (work-around XML parser bug), as seen in
	http://spanishpod.com/lessons/feed/ (Closes: #522968)

	* plparse/totem-pl-parser.c (totem_pl_parser_parse_internal):
	More debug when ignoring unsafe playlist types

2008-03-17  Bastien Nocera  <hadess@hadess.net>

	* *: First pass at porting to GIO. Completely broken, please
	bear with me.

2008-03-17  Bastien Nocera  <hadess@hadess.net>

	* plparse/totem-pl-parser-features.h.in: Fix license
	(Closes: #522790)

============ Version 2.22.0

2008-03-10  Bastien Nocera  <hadess@hadess.net>

	* NEWS: upd
	* configure.in: 2.22.0

2008-03-03  Bastien Nocera  <hadess@hadess.net>

	* plparse/totem-pl-parser-media.c (totem_pl_parser_iso_get_title),
	(totem_pl_parser_dir_compare): Patch from Sebastian Pölsterl
	<marduk@k-d-w.org> to sort filenames the same way nautilus does
	(Closes: #518116)

2008-02-29 Christian Schaller <christian.schaller@collabora.co.uk>

	* Add totem-pl-parser.spec.in
	* autogen.sh: fix name of package to be totem-pl-parser
	* configure.in: add totem-pl-parser.spec
	* Makefile.am: add totem-pl-parser.spec

============ Version 2.21.92

2008-02-24  Bastien Nocera  <hadess@hadess.net>

	* NEWS: upd
	* configure.in: 2.21.92

2008-02-24  Bastien Nocera  <hadess@hadess.net>

	* plparse/totem-pl-parser-xspf.c (parse_xspf_track):
	* plparse/totem-pl-parser.c (totem_pl_parser_class_init):
	* plparse/totem-pl-parser.h: Add support for the some last.fm
	XSPF tags (lastfm:trackauth, duration in milliseconds, and
	download URLs as TOTEM_PL_PARSER_FIELD_ID,
	TOTEM_PL_PARSER_FIELD_DURATION_MS and
	TOTEM_PL_PARSER_FIELD_DOWNLOAD_URL respectively

2008-02-23  Bastien Nocera  <hadess@hadess.net>

	* plparse/test-parser.c (test_duration): Add test for the duration
	being passed as a "float" (minutes.seconds), as used in
	http://www.stephenfry.com/podcasts/rss.xml
	* plparse/totem-pl-parser.c (totem_pl_parser_parse_internal),
	(totem_pl_parser_parse_duration): Fix test above, fix crash
	when my_gnome_vfs_get_mime_type_with_data returns a NULL mime-type
	(Closes: #518242)

2008-02-23  Bastien Nocera  <hadess@hadess.net>

	* plparse/totem-pl-parser-xspf.c (totem_pl_parser_write_xspf),
	(parse_xspf_track):
	* plparse/totem-pl-parser.c (totem_pl_parser_class_init):
	* plparse/totem-pl-parser.h: Give out much more metadata when parsing
	XSPF playlists, as used on the new last.fm streaming system
	(Helps: #518231)

2008-02-21  Bastien Nocera  <hadess@hadess.net>

	* plparse/totem-pl-parser.c (totem_pl_parser_mimetype_is_ignored),
	(totem_pl_parser_parse_internal): Fix text/plain files getting
	added even though they don't have a proper playlist mime-type,
	spotted by Tim-Philipp Müller

2008-02-13  Bastien Nocera  <hadess@hadess.net>

	* plparse/totem-pl-parser-lines.c:
	(totem_pl_parser_get_extinfo_title), (totem_pl_parser_add_m3u):
	Fix parsing of the VLC-specific playlist on the FreeBox, available
	at http://mafreebox.freebox.fr/freeboxtv/playlist.m3u if you have
	such a device

2008-02-07  Bastien Nocera  <hadess@hadess.net>

	* plparse/totem-pl-parser-qt.c:
	(totem_pl_parser_add_quicktime_rtsptext): Fix parsing of RTSPtext
	playlist from http://mediathek.zdf.de/ (QuickTime selected)

2008-02-07  Bastien Nocera  <hadess@hadess.net>

	* plparse/totem-pl-parser-wm.c: (totem_pl_parser_is_asx):
	Also look for "<Asx" as a magic in ASX files
	* plparse/totem-pl-parser.c: (my_gnome_vfs_get_mime_type_with_data),
	(my_gnome_vfs_get_mime_type_for_data),
	(totem_pl_parser_can_parse_from_data): When parsing from data,
	fall-back to looking for a mime-type ourselves if all else
	fails (Closes: #505398)

2008-01-27  Bastien Nocera  <hadess@hadess.net>

	* plparse/totem-pl-parser-lines.c: (totem_pl_parser_add_ra),
	(totem_pl_parser_is_uri_list):
	* plparse/totem-pl-parser-lines.h:
	* plparse/totem-pl-parser-podcast.c: (totem_pl_parser_is_rss),
	(totem_pl_parser_is_atom), (totem_pl_parser_is_opml),
	(totem_pl_parser_is_xml_feed), (parse_rss_items),
	(totem_pl_parser_add_rss), (parse_atom_entries),
	(parse_opml_outline):
	* plparse/totem-pl-parser-podcast.h:
	* plparse/totem-pl-parser-private.h:
	* plparse/totem-pl-parser-qt.c: (totem_pl_parser_is_quicktime),
	(totem_pl_parser_add_quicktime):
	* plparse/totem-pl-parser-qt.h:
	* plparse/totem-pl-parser-wm.c: (totem_pl_parser_is_asx),
	(totem_pl_parser_is_asf), (parse_asx_entry):
	* plparse/totem-pl-parser-wm.h:
	* plparse/totem-pl-parser.c: (totem_pl_parser_set_property),
	(totem_pl_parser_get_property),
	(my_gnome_vfs_get_mime_type_with_data), (totem_pl_parser_base_url),
	(totem_pl_parser_write_buffer), (totem_pl_parser_num_entries),
	(totem_pl_parser_relative), (totem_pl_parser_write_with_title),
	(totem_pl_parser_add_url_valist), (totem_pl_parser_parse_internal),
	(totem_pl_parser_can_parse_from_data):
	Return a mime-type from the _is_ functions, and use those functions
	in my_gnome_vfs_get_mime_type_with_data to check undecided files,
	such as RSS feeds with their magic too far in the file
	(Closes: #512289)

2008-01-26  Bastien Nocera  <hadess@hadess.net>

	* plparse/totem-pl-parser.c:
	(my_gnome_vfs_get_mime_type_with_data):
	If we get text/plain as the mime-type at the end of the function,
	check whether it could be an RSS feed, fixes parsing CBC podcasts
	(Closes: #511627)

2008-01-25  Bastien Nocera  <hadess@hadess.net>

	* lib/memmem.c: Patch from Damien Carbery <damien.carbery@sun.com>
	to fix the build on Solaris (Closes: #512073)

============ Version 2.21.91

2008-01-21  Bastien Nocera  <hadess@hadess.net>

	* NEWS: upd
	* configure.in: 2.21.91

2008-01-19  Bastien Nocera  <hadess@hadess.net>

	* plparse/totem-pl-parser-podcast.c: (totem_pl_parser_is_rss),
	(totem_pl_parser_is_atom), (totem_pl_parser_is_opml):
	* plparse/totem-pl-parser-qt.c: (totem_pl_parser_is_quicktime):
	* plparse/totem-pl-parser-wm.c: (totem_pl_parser_is_asx):
	Fix memmem args order, fixes some playlist not being recognised
	as such

2008-01-17  Philip Withnall  <pwithnall@svn.gnome.org>

	* docs/reference/totem-pl-parser-docs.sgml:
	* docs/reference/totem-pl-parser-sections.txt:
	* plparse/totem-pl-parser.c:
	* plparse/totem-pl-parser.h: Clean up the documentation order,
	add some documentation for the TotemPlParser object, and add some
	example code. (Closes: #507995)

2008-01-15  Bastien Nocera  <hadess@hadess.net>

	* plparse/Makefile.am: Use 64-bit versions of the
	functions when possible, fixes DVD ISO not being recognised
	(Closes: #509020)

2008-01-15  Philip Withnall  <pwithnall@svn.gnome.org>

	* docs/reference/totem-pl-parser-overrides.txt: Add file missing
	from the last commit. Also, update svn:ignore properties.

2008-01-15  Philip Withnall  <pwithnall@svn.gnome.org>

	* Makefile.am:
	* configure.in:
	* docs/reference/Makefile.am:
	* docs/reference/totem-pl-parser-docs.sgml:
	* docs/reference/totem-pl-parser-sections.txt:
	* docs/reference/totem-pl-parser.types:
	* docs/reference/version.xml.in:
	* plparse/totem-disc.c:
	* plparse/totem-disc.h:
	* plparse/totem-pl-parser.c: (totem_pl_parser_class_init),
	(totem_pl_parser_num_entries):
	* plparse/totem-pl-parser.h: Add full documentation for all
	public symbols exposed by the library, excluding code samples
	for the playlist parser. (Helps: #507995)

2008-01-09  Philip Withnall  <pwithnall@svn.gnome.org>

	* plparse/totem-disc.c: (cd_cache_has_medium):
	* plparse/totem-pl-parser-private.h:
	* plparse/totem-pl-parser.c: (totem_pl_parser_get_type),
	(totem_pl_parser_class_init),
	(totem_pl_parser_base_class_finalize), (totem_pl_parser_init),
	(totem_pl_parser_add_url_valist): Make the property spec pool
	static, and only instantiate it once (on base class init),
	rather than every time a PlParser is initted. Also,
	fix a small memory leak in totem-disc.c. (Closes: #507909)

2008-01-09  Bastien Nocera  <hadess@hadess.net>

	* lib/memmem.c: The private function should be called
	totem_private_memmem, not memmem
	* plparse/Makefile.am: Link the mini library to the glibc
	replacement functions as well

2008-01-08  Bastien Nocera  <hadess@hadess.net>

	* docs/Makefile.am: Add missing file

2008-01-08  Bastien Nocera  <hadess@hadess.net>

	* plparse/totem-pl-parser.c: Add docs for _new() and the signals

2008-01-08  Bastien Nocera  <hadess@hadess.net>

	* Makefile.am:
	* configure.in:
	* docs/reference/MODULE.types:
	* docs/reference/Makefile.am: Add the beginnings of gtk-doc
	support

2008-01-08  Bastien Nocera  <hadess@hadess.net>

	* configure.in: Fix HAL test, spotted by Saleem Abdulrasool
	<compnerd@compnerd.org> (Closes: #507980)

============ Version 2.21.90

2008-01-07  Bastien Nocera  <hadess@hadess.net>

	* NEWS: upd
	* configure.in: 2.21.90
	* plparse/Makefile.am: Fix distcheck

2007-12-28  Bastien Nocera  <hadess@hadess.net>

	* plparse/totem-pl-parser.c: (totem_pl_parser_is_iso8601_date):
	Fix work-around for GLib bug #503029, the test was broken

2007-12-28  Bastien Nocera  <hadess@hadess.net>

	* plparse/plparser.symbols: Add totem_pl_parser_relative to the
	list of symbols to export, for the benefit of the parser test
	program, this symbol isn't available in the headers
	* plparse/test-parser.c: (test_relative_real), (test_relative),
	(main): Re-add the relative path test, add 2 new tests
	* plparse/totem-pl-parser.c: (totem_pl_parser_relative):
	Fix problems with "overlapping" paths that aren't related
	(ie. when the base for the output file contains the path to
	 the media file) (Closes: #505906)

2007-12-19  Bastien Nocera  <hadess@hadess.net>

	* configure.in:
	* lib/Makefile.am:
	* lib/memmem.c:
	* lib/totem_internal.h: Add internal BSD version of memmem

	* plparse/totem-pl-parser-podcast.c: (totem_pl_parser_is_rss),
	(totem_pl_parser_is_atom), (totem_pl_parser_is_opml):
	* plparse/totem-pl-parser-wm.c: (totem_pl_parser_is_asx),
	(totem_pl_parser_is_asf):
	* plparse/totem-pl-parser-qt.c: (totem_pl_parser_is_quicktime):
	Use memmem instead of copying the buffers before checking them

	* plparse/*.c: Remove conditional config.h include

2007-12-17  Bastien Nocera  <hadess@hadess.net>

	* plparse/xmllexer.c: (lex_convert), (lexer_init),
	(lexer_get_token):
	* plparse/xmllexer.h:
	* plparse/xmlparser.c: (xml_parser_init),
	(xml_parser_get_node_internal):
	* plparse/xmlparser.h: Update from xine-lib-1.2, use the BOMs
	in XML files to convert the data from unicode to UTF-8

	* plparse/bswap.h: Added to allow compilation

	* plparse/totem-pl-parser.c: (totem_pl_parser_is_iso8601_date),
	(totem_pl_parser_can_parse_from_data): Add missing checks for
	valid dates

2007-12-11  Bastien Nocera  <hadess@hadess.net>

	* plparse/totem-pl-parser.c: (totem_pl_parser_is_iso8601_date),
	(totem_pl_parser_parse_date): Add work-around for GLib
	bug #503029

2007-12-11  Bastien Nocera  <hadess@hadess.net>

	* configure.in: Update requirements

	* plparse/test-parser.c: (entry_metadata_foreach),
	(test_data_get_data), (main): Special-case pub dates, and print
	the original value, the parsed value, and a human-readable parsed
	value

	* plparse/totem-pl-parser.c: (totem_pl_parser_parse_date):
	Add some more debug, and remove Rhythmbox people from the Copyright

	* plparse/xmlparser.c: (xml_parser_init),
	(xml_parser_get_node_internal): Ignore Byte Order Marks at the
	beginning of XML files (Closes: #503031)

2007-12-11  Bastien Nocera  <hadess@hadess.net>

	* configure.in: 
	* totem-plparser-uninstalled.pc.in:
	* totem-plparser.pc.in: Depend on camel to parse RFC 2822 date
	strings (as used in RSS feeds), use GLib to parse RFC 3339/ISO 8601
	dates (as used in Atom feeds)

	* plparse/test-parser.c: (test_date_real), (test_date), (main):
	Add tests for a few RSS and Atom date parsing
	* plparse/totem-pl-parser.c: (totem_pl_parser_parse_date): use
	Camel and GLib for date parsing

	(Closes: #379932)

2007-12-10  Bastien Nocera  <hadess@hadess.net>

	* plparse/totem-pl-parser.c: (totem_pl_parser_might_be_file),
	(totem_pl_parser_resolve_url), (totem_pl_parser_ignore),
	(totem_pl_parser_ignore_from_mimetype),
	(totem_pl_parser_parse_internal),
	(totem_pl_parser_can_parse_from_data):
	Work-around file-to-file relative links resolution, as appearing
	in broken redirects on the Apple Trailers page
	* plparse/test-parser.c: (test_resolve): add test

============ Version 2.21.6

2007-12-06  Bastien Nocera  <hadess@hadess.net>

	* NEWS: upd
	* configure.in: 2.21.6

2007-12-04  Bastien Nocera  <hadess@hadess.net>

	* totem-plparser-mini-uninstalled.pc.in:
	* totem-plparser-mini.pc.in: Remove some
	unneeded dependencies from the pkgconfig
	files for the mini library

2007-12-04  Bastien Nocera  <hadess@hadess.net>

	* plparse/Makefile.am: add soname info to
	the mini lib
	* plparse/plparser-mini.symbols: only export
	the needed functions
	* totem-plparser-mini-uninstalled.pc.in:
	* totem-plparser-mini.pc.in: Fix library linkage,
	we want -mini, not the full library

2007-12-03  Bastien Nocera  <hadess@hadess.net>

	* configure.in: Add missing DBUS_REQS

============ Version 2.21.5

2007-12-03  Bastien Nocera  <hadess@hadess.net>

	* NEWS: upd
	* configure.in: 2.21.5

2007-12-03  Bastien Nocera  <hadess@hadess.net>

	* AUTHORS: added
	* README: added
	(Closes: #501314)

	* plparse/totem-disc.c: (cd_cache_new), (cd_cache_has_medium):
	Fix double-free due to overzealous free (Closes: #501120)

============ Version 2.21.4

2007-12-03  Bastien Nocera  <hadess@hadess.net>

	* Makefile.am:
	* configure.in: 2.21.4

	* totem-plparser-mini-uninstalled.pc.in:
	* totem-plparser-mini.pc.in:
	* totem-plparser-uninstalled.pc.in:
	* totem-plparser.pc.in: Update includes to new location

2007-12-03  Bastien Nocera  <hadess@hadess.net>

	* MAINTAINERS: add
	* plparse/stamp-totem-pl-parser-builtins.h: Remove this built item

2007-12-03  Bastien Nocera  <hadess@hadess.net>

	* *: Moved from Totem, export mini plparser
	for use in the browser plugin (Closes: #462153)

